VXI and VME

cancel
Showing results for 
Search instead for 
Did you mean: 

Is VXIpc-770/870 BSP compatible with VxWorks 5.5

We have five VXIpc-770 and five VXIpc-870 controller cards running on VxWorks 5.4. We tried to upgrade our VxWorks to version 5.5; but when I tried to recompile the vxWorks image with the existing BSP, it had a bunch errors. I also noticed from NI website that the BSP is for VxWorks 5.4! I wonder if there is an updated BSP compatible with VxWorks 5.5? Thanks!
0 Kudos
Message 1 of 5
(5,177 Views)
Hi VXIbiu,

Good timing! Our BSP for VxWorks 5.5 is entering beta today, so if you would like to be involved in the beta program, please contact our application engineers by either phone or email at ni.com/ask to get enrolled.

Best Regards,
Josh Hernstrom
PXI/VXI Product Support Engineer
National Instruments
0 Kudos
Message 2 of 5
(5,176 Views)
Hi Josh,
Thanks for the reply and could you please send me the beta version of this BSP and we will try it out here. However, would this BSP work on our VXIpc-870? We don't have the VXIpc-870B. I think the VXIpc-870 has been obsolete already? We do have the VXIpc-770. Thanks!!

Biu So
TEL: 505-844-7997
Sandia National Labs
MS-0635
P.O. BOX 5800
Albuquerque, NM 87185-0636
0 Kudos
Message 3 of 5
(5,176 Views)
Hello Biu So,

As I directed in my previous post, please contact our applications engineers in order to get enrolled in the beta program. You can reach them at 1-800-433-3488 by asking for a VXI applications engineer, or by email at ni.com/ask

Best of luck,
Josh Hernstrom
PXI/VXI Product Support Engineer
National Instruments
0 Kudos
Message 4 of 5
(5,176 Views)
Hello Biu So,

To address your question - the beta software works with the VXIpc-870B and the 770, not the older VXIpc-870. You are correct that the older 870 has been replaced with the 870B.

Regards,
Josh Hernstrom
PXI/VXI Product Suppport Engineer
National Instruments
0 Kudos
Message 5 of 5
(5,177 Views)